<!-- 
    ======================================================================================= 
     "This sample program is provided AS IS and may be used, executed, copied and modified
     without royalty payment by customer

     (a) for its own instruction and study,
     (b) in order to develop applications designed to run with an IBM WebSphere product,
         either for customer's own internal use or for redistribution by customer, as part
         of such an application, in customer's own products."

     Product 5655-FLW,  (C) COPYRIGHT International Business Machines Corp., 2006, 2010
     All Rights Reserved * Licensed Materials - Property of IBM
    ======================================================================================= 
-->

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>

<%--  
	The Header.jsp is to be included in every page of the application.
	Add more links to main pages here, e.g. to other overview lists.
 --%>

<f:subview id="subview1">
	<h:form styleClass="header">
	
		<%--  
			Each command link has an action. Do not forget to add navigation cases/rules for them.  
		--%>
		<h:panelGrid columns="4">
			<h:commandLink action="ProcessTemplateList"><h:outputText value="Process Templates" /> </h:commandLink>
			<h:commandLink action="ProcessInstanceList" ><h:outputText value="Process Status" /> </h:commandLink>
			<h:commandLink action="TaskInstanceList"><h:outputText value="My Tasks" /> </h:commandLink>
			<h:commandLink action="Logout"><h:outputText value="Logout" /> </h:commandLink>			
		</h:panelGrid>
	</h:form>
</f:subview>

