<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!-- 
    ======================================================================================= 
     "This sample program is provided AS IS and may be used, executed, copied and modified
     without royalty payment by customer

     (a) for its own instruction and study,
     (b) in order to develop applications designed to run with an IBM WebSphere product,
         either for customer's own internal use or for redistribution by customer, as part
         of such an application, in customer's own products."

     Product 5655-FLW,  (C) COPYRIGHT International Business Machines Corp., 2006, 2010
     All Rights Reserved * Licensed Materials - Property of IBM
    ======================================================================================= 
-->
<html>
<head>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://com.ibm.bpe.jsf/taglib" prefix="bpe"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="GENERATOR" content="IBM Software Development Platform">
<meta http-equiv="Content-Style-Type" content="text/css">
<link href="theme/styles.css" rel="stylesheet" type="text/css">
<title>ProcessInstanceDetails.jsp</title>
</head>
<f:view>
	<body>

	<div align="center">
	
		<jsp:include page="Header.jsp" flush=""/>
		
		<div class="content">
	
			<h1>Process Instance Details</h1>
		
			<div class="help-text">Click on Back to return to the process list.</div>
				
			<h:form>
		
				<div class="command-bar">
				
					<%--
						Make sure that the command bar's model refers to the same managed bean as in the details or list 
						handler. You will find the definition of the managed bean in faces-config.xml. Please refer
						to the InfoCenter for more details on the command bar component and on commands.
					--%>
					
	 			    <bpe:commandbar model="#{ProcessInstanceDetailsHandler}" buttonStyleClass="command-button">
						<bpe:command label="Back" commandID="BackProcessInstanceDetails" action="ProcessInstanceList" />
					</bpe:commandbar>
				</div>				

				<bpe:details model="#{ProcessInstanceDetailsHandler}">
					<bpe:property label="Department:" name="department" />
					<bpe:property label="Order number:" name="orderNo" />
				</bpe:details>


				<%--
					Add the message forms here. Make sure the managed bean provides accessor to the
					input and output message. Please refer to the InfoCenter for more details on the 
					message component.
				--%>
					
		        <h:panelGrid columns="1">
		            <f:verbatim><div class="messageheader">Order data:</div></f:verbatim>
					<bpe:form readOnly="true" model="#{ProcessInstanceDetailsHandler.model.inputMessageWrapper}"></bpe:form>
		            <f:verbatim><div class="messageheader">Order result:</div></f:verbatim>
					<bpe:form readOnly="true" model="#{ProcessInstanceDetailsHandler.model.outputMessageWrapper}"></bpe:form>
		            <f:verbatim><div class="messageheader">Error data:</div></f:verbatim>
					<bpe:form readOnly="true" model="#{ProcessInstanceDetailsHandler.model.faultMessageWrapper}"></bpe:form>
				</h:panelGrid>
			</h:form>
			</div>
	</div>
	</body>
</f:view>
</html>
