<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!-- 
    ======================================================================================= 
     "This sample program is provided AS IS and may be used, executed, copied and modified
     without royalty payment by customer

     (a) for its own instruction and study,
     (b) in order to develop applications designed to run with an IBM WebSphere product,
         either for customer's own internal use or for redistribution by customer, as part
         of such an application, in customer's own products."

     Product 5655-FLW,  (C) COPYRIGHT International Business Machines Corp., 2006, 2010
     All Rights Reserved * Licensed Materials - Property of IBM
    ======================================================================================= 
-->
<HTML>
<HEAD>
<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://com.ibm.bpe.jsf/taglib" prefix="bpe"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">
<LINK href="theme/styles.css" rel="stylesheet" type="text/css">
<TITLE>ProcessTemplateList.jsp</TITLE>
</HEAD>
<f:view>

	<BODY>

	<div align="center">
	
		<jsp:include page="Header.jsp" />
	
		<div class="content">
	
			<h1>Process templates</h1>
		
			<div class="help-text">To start a process, click the name in the list.</div>
		
			<h:form>
							
				<%--
					Make sure that the command bar's model refers to the same managed bean as in the details or list 
					handler. You will find the definition of the managed bean in faces-config.xml. Please refer
					to the InfoCenter for more details on the command bar component and on commands.
				--%>
					
				<div class="command-bar">
					<bpe:commandbar model="#{ProcessTemplateListHandler}" buttonStyleClass="command-button">
						<bpe:command label="Refresh" commandID="RefreshProcessTemplateList" action="#{ProcessInstanceListHandler.refreshList}" />
					</bpe:commandbar>
				</div>


				<%-- 
					Insert list handler which operates on the type com.ibm.bpe.api.ProcessTemplateData.
					Add columns which refer to the type's properties. The names will translate to appropriate getter
					methods on the bean, e.g. "name" translates to "getName()". Please refer to the InfoCenter for 
					more information on list handlers and other types.
				--%>		
			
				<bpe:list model="#{ProcessTemplateListHandler}" 
				    styleClass="list" 
				    headerStyleClass="template-headers"
					buttonStyleClass="list-buttons"
					checkbox="false">
			
					<bpe:column action="ProcessStartForm" name="displayName" label="Name" />
					<bpe:column name="description" label="Description" />
			
				</bpe:list>
			</h:form>
		</div>
	</div>
	</BODY>
</f:view>
</HTML>
